org.apache.hc.core5.http.impl.bootstrap

## Class RequesterBootstrap

- java.lang.Object
- - org.apache.hc.core5.http.impl.bootstrap.RequesterBootstrap

-     public class RequesterBootstrap
      extends Object

  `HttpRequester` bootstrap.
  Since:
    5.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequesterBootstrap` | `bootstrap()`
    `HttpRequester` | `create()`
    `RequesterBootstrap` | `setConnectionFactory(HttpConnectionFactory<? extends HttpClientConnection> connectFactory)`
    `RequesterBootstrap` | `setConnectionReuseStrategy(ConnectionReuseStrategy connStrategy)` Sets `ConnectionReuseStrategy` instance.
    `RequesterBootstrap` | `setConnPoolListener(ConnPoolListener<HttpHost> connPoolListener)`
    `RequesterBootstrap` | `setDefaultMaxPerRoute(int defaultMaxPerRoute)`
    `RequesterBootstrap` | `setHttp1Config(Http1Config http1Config)` Sets HTTP/1 protocol configuration.
    `RequesterBootstrap` | `setHttpProcessor(HttpProcessor httpProcessor)` Sets `HttpProcessor` instance.
    `RequesterBootstrap` | `setMaxTotal(int maxTotal)`
    `RequesterBootstrap` | `setPoolConcurrencyPolicy(PoolConcurrencyPolicy poolConcurrencyPolicy)`
    `RequesterBootstrap` | `setPoolReusePolicy(PoolReusePolicy poolReusePolicy)`
    `RequesterBootstrap` | `setSocketConfig(SocketConfig socketConfig)` Sets socket configuration.
    `RequesterBootstrap` | `setSslContext(SSLContext sslContext)`
    `RequesterBootstrap` | `setSslSessionVerifier(SSLSessionVerifier sslSessionVerifier)` Sets `SSLSessionVerifier` instance.
    `RequesterBootstrap` | `setSslSetupHandler(Callback<SSLParameters> sslSetupHandler)` Sets `Callback` for `SSLParameters`.
    `RequesterBootstrap` | `setSslSocketFactory(SSLSocketFactory sslSocketFactory)`
    `RequesterBootstrap` | `setStreamListener(Http1StreamListener streamListener)`
    `RequesterBootstrap` | `setTimeToLive(Timeout timeToLive)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### bootstrap

          public static RequesterBootstrap bootstrap()

    - #### setHttpProcessor

          public final RequesterBootstrap setHttpProcessor(HttpProcessor httpProcessor)

      Sets `HttpProcessor` instance.
      Returns:
        this instance.

    - #### setHttp1Config

          public final RequesterBootstrap setHttp1Config(Http1Config http1Config)

      Sets HTTP/1 protocol configuration.
      Returns:
        this instance.

    - #### setConnectionReuseStrategy

          public final RequesterBootstrap setConnectionReuseStrategy(ConnectionReuseStrategy connStrategy)

      Sets `ConnectionReuseStrategy` instance.
      Returns:
        this instance.

    - #### setSocketConfig

          public final RequesterBootstrap setSocketConfig(SocketConfig socketConfig)

      Sets socket configuration.
      Returns:
        this instance.

    - #### setConnectionFactory

          public final RequesterBootstrap setConnectionFactory(HttpConnectionFactory<? extends HttpClientConnection> connectFactory)

    - #### setSslContext

          public final RequesterBootstrap setSslContext(SSLContext sslContext)

    - #### setSslSocketFactory

          public final RequesterBootstrap setSslSocketFactory(SSLSocketFactory sslSocketFactory)

    - #### setSslSetupHandler

          public final RequesterBootstrap setSslSetupHandler(Callback<SSLParameters> sslSetupHandler)

      Sets `Callback` for `SSLParameters`.
      Returns:
        this instance.

    - #### setSslSessionVerifier

          public final RequesterBootstrap setSslSessionVerifier(SSLSessionVerifier sslSessionVerifier)

      Sets `SSLSessionVerifier` instance.
      Returns:
        this instance.

    - #### setDefaultMaxPerRoute

          public final RequesterBootstrap setDefaultMaxPerRoute(int defaultMaxPerRoute)

    - #### setMaxTotal

          public final RequesterBootstrap setMaxTotal(int maxTotal)

    - #### setTimeToLive

          public final RequesterBootstrap setTimeToLive(Timeout timeToLive)

    - #### setPoolReusePolicy

          public final RequesterBootstrap setPoolReusePolicy(PoolReusePolicy poolReusePolicy)

    - #### setPoolConcurrencyPolicy

          @Experimental
          public final RequesterBootstrap setPoolConcurrencyPolicy(PoolConcurrencyPolicy poolConcurrencyPolicy)

    - #### setStreamListener

          public final RequesterBootstrap setStreamListener(Http1StreamListener streamListener)

    - #### setConnPoolListener

          public final RequesterBootstrap setConnPoolListener(ConnPoolListener<HttpHost> connPoolListener)

    - #### create

          public HttpRequester create()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.